Package org.apache.calcite.avatica.util

## Class AbstractCursor.ExactNumericAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ExactNumericAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Direct Known Subclasses:
  `AbstractCursor.BooleanAccessor`, `AbstractCursor.ByteAccessor`, `AbstractCursor.IntAccessor`, `AbstractCursor.LongAccessor`, `AbstractCursor.ShortAccessor`

Enclosing class:
  AbstractCursor

    private abstract static class AbstractCursor.ExactNumericAccessor
    extends AbstractCursor.AccessorImpl

Accessor of exact numeric values. The subclass must implement the `getLong()` method.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `ExactNumericAccessor​(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.math.BigDecimal` `getBigDecimal()`
`java.math.BigDecimal` `getBigDecimal​(int scale)`
`double` `getDouble()`
`float` `getFloat()`
`abstract long` `getLong()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExactNumericAccessor

    private ExactNumericAccessor​(AbstractCursor.Getter getter)

### Method Detail

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal()
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble()
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Overrides:
  `getDouble` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat()
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `Cursor.Accessor`
Overrides:
  `getFloat` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getLong

    public abstract long getLong()
                          throws java.sql.SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Overrides:
  `getLong` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`